//-----------------------------------------------------------------------------
//  
// linux/drivers/video/epson/s1d13xxxfb.h -- 
// Function header for Epson S1D13xxx controller frame buffer drivers.
//
// S1D13xxx controllers.
// 
// Copyright(c) Seiko Epson Corporation 2000-2005.
// All rights reserved.
//
// This file is subject to the terms and conditions of the GNU General Public
// License. See the file COPYING in the main directory of this archive for
// more details.
//
//---------------------------------------------------------------------------- 
//---------------------------------------------------------------------------- 
//
// WARNING: This file uses a chip specific include file. The include file 
// contains all hardware information needed to generate proper timings, color
// depth, screen resolution etc.
//
// This driver supports one of the following Epson CRT/TV/LCD controllers:
//
// S1D13706
// S1D13717
// S1D13A05
//
//-----------------------------------------------------------------------------

#ifndef __S1D13XXXFB_H__
#define __S1D13XXXFB_H__

#include <linux/kernel.h>

// S1D13706 
#ifdef CONFIG_FBCON_EPSON_S1D13706 
#include "s1d13706.h"
#endif

// S1D13717
#ifdef CONFIG_FBCON_EPSON_S1D13717
#include "s1d13717.h"
#endif

// S1D13A05
#ifdef CONFIG_FBCON_EPSON_S1D13A05
#include "s1d13a0x.h"
#endif

#ifdef CONFIG_FBCON_EPSON_2D
#define FB_ACCEL_EPSON_S1D13XXX 42         /* Epson S1D13XXX family        */
#endif
//----------------------------------------------------------------------------
// Function prototypes used by s1d13xxxfb modules
//----------------------------------------------------------------------------
void s1d13xxxfb_write_reg(u32 reg, S1D_VALUE val);
void s1d13xxxfb_write_reg16(u32 reg, u16 val);
void s1d13xxxfb_write_reg8(u32 reg, u8 val);

S1D_VALUE s1d13xxxfb_read_reg(u32 reg);
u16       s1d13xxxfb_read_reg16(u32 reg);
u8        s1d13xxxfb_read_reg8(u32 reg);

#endif	//__S1D13XXXFB_H__
