//==================================================================
//  Generic LCD Header information generated by 13717CFG.EXE (Build 138)
//  Copyright (c) 2002 Epson Research and Development, Inc.
//  All rights reserved.
//
//  DISPLAYS      WxHxBPP     FREQ    ADDITIONAL                                 
//  ------------- ----------- ------- -------------------------------------------
// *LCD1=Parallel 176x220x8   0 Hz    Type 80
// 
//  DIMENSIONS    WxHxBPP @ STRIDE   START   SADDR                    ADDITIONAL 
//  ------------- ------------------ ------- ------------------------ -----------
//  Main Window   176x220x8 @ 176    NA      00008000h + bias of 0h   Swivel=0
//  PIP+ Window   128x128x16 @ 256   96,56   0001B000h + bias of 0h   Swivel=0
//  View Resizer  128x128            0,0     0001B000h                Scaling=OFF
//  Capt Resizer  352x288            0,0     0001B000h                Scaling=OFF
// 
//  CLOCKS        FREQ        SOURCE                                             
//  ------------- ----------- ---------------------------------------------------
//  INCLK         54.001 MHz  PLL (via CLKI)
//  SYSCLK        54.001 MHz  INCLK/1
//  PCLK          6.750 MHz   SYSCLK/8
//  SERCLK        4.500 MHz   SYSCLK/12
//  CMCLK         13.500 MHz  SYSCLK/4
//
//  This file defines the initialization sequence for a sample LCD panel.
//  To obtain values for other LCD panels, use the 13717CFG.EXE tool
//  to generate the HAL_config.c file.  The initialization sequence 
//  will be listed eiter under "LCD1 init sequence" or "LCD2 init sequence",
//  depending on which LCD was selected in the tool.
//
//  The settings for this file is for RAM-based LCD L2F50216T00.
//==================================================================
#ifndef __S1D13XXXLCD_H__
#define __S1D13XXXLCD_H__

// LCD Panel Interface Registers
#define REG0034_LCDINTCMD       0x0034
#define REG0036_LCDINTPARAM     0x0036
#define REG0038_LCDINTSTATUS    0x0038
#define REG003A_LCDINTFRAMEXFER 0x003A
#define REG003C_LCDINTXFER      0x003C
#define REG0202_DISPMODE1       0x0202

typedef unsigned short LCD_INDEX;
typedef unsigned short LCD_VALUE;
typedef struct
{
	LCD_INDEX Index;
	LCD_VALUE Value;
} LCD_REGS;

#define LCD_INSTANTIATE_REGISTERS(scope_prefix,variable_name) scope_prefix LCD_REGS variable_name[] =  \
{  \
	{ S1D_REGDELAYON,   0x0064 },   \
	{ 0x003C,           0x0000 },   \
	{ 0x0202,           0x0400 },   \
	{ 0x0034,           0x00B0 },   \
	{ 0x0036,           0x00CA },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x00F8 },   \
	{ 0x0036,           0x00DC },   \
	{ 0x0036,           0x000E },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0080 },   \
	{ 0x0034,           0x0026 },   \
	{ 0x0036,           0x0001 },   \
	{ 0x0034,           0x00B1 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0002 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0008 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0010 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0010 },   \
	{ 0x0036,           0x0001 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0040 },   \
	{ 0x0036,           0x0020 },   \
	{ 0x0036,           0x0082 },   \
	{ 0x0036,           0x0010 },   \
	{ 0x0036,           0x0088 },   \
	{ 0x0036,           0x0092 },   \
	{ 0x0036,           0x004A },   \
	{ 0x0036,           0x00AB },   \
	{ 0x0036,           0x005B },   \
	{ 0x0036,           0x00AD },   \
	{ 0x0036,           0x006B },   \
	{ 0x0036,           0x007F },   \
	{ 0x0036,           0x00FF },   \
	{ 0x0036,           0x00FF },   \
	{ 0x0036,           0x0080 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0034,           0x00B2 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0002 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0008 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0010 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0010 },   \
	{ 0x0036,           0x0001 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0040 },   \
	{ 0x0036,           0x0020 },   \
	{ 0x0036,           0x0082 },   \
	{ 0x0036,           0x0010 },   \
	{ 0x0036,           0x0088 },   \
	{ 0x0036,           0x0092 },   \
	{ 0x0036,           0x004A },   \
	{ 0x0036,           0x00AB },   \
	{ 0x0036,           0x005B },   \
	{ 0x0036,           0x00AD },   \
	{ 0x0036,           0x006B },   \
	{ 0x0036,           0x007F },   \
	{ 0x0036,           0x00FF },   \
	{ 0x0036,           0x00FF },   \
	{ 0x0036,           0x0080 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0034,           0x002A },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0002 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x00B1 },   \
	{ 0x0034,           0x002B },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x0000 },   \
	{ 0x0036,           0x00DB },   \
	{ 0x0034,           0x0036 },   \
	{ 0x0036,           0x0040 },   \
	{ 0x0034,           0x003A },   \
	{ 0x0036,           0x0005 },   \
	{ 0x0034,           0x00BA },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0036,           0x0055 },   \
	{ 0x0034,           0x0011 },   \
	{ S1D_REGDELAYON,   0x0064 },   \
	{ 0x0034,           0x0029 },   \
	{ 0x0034,           0x002C },   \
	{ 0x003C,           0x0000 }    \
}
	
#endif // __S1D13XXXLCD_H__
